IARRAY_SCALE_AND_OFFSET_INT(3)

FUNCTION
iarray_scale_and_offset_int - Scale and offset an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_scale_and_offset_int

(iarray out, iarray inp, int scale,int offset)

DESCRIPTION
This routine will perform a scale and offset on every element in an "Intelligent Array" (output = input * scale + offset).

out The output Intelligent Array.

inp The input Intelligent Array.

scale
    The complex scale value.

offset
    The complex offset value.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTES
The input and output arrays MUST be the same size (though not necessarily the same type).

When converting from a complex to a real array, the magnitude is scaled and offset.

When converting from a real to a complex array, the imaginary component of the output array is set to 0.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/